<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">
    <h:body>

        <h2>#{msgs.manageClients}</h2>
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-xs-updated">
                    <h:form styleClass="form-horizontal">
                        <div class="form-group">

                            <div class="col-sm-10">
                                <h:inputText value="#{clientBackingBean.searchClient}" a:placeholder="#{msgs.searchBy}" styleClass="form-control">
                                    <f:ajax event="keyup" execute="@form" listener="#{clientBackingBean.findUsersById()}" render="Client"/>
                                </h:inputText>
                            </div>
                        </div>
                        <div class="form-group">
                            <h:outputLabel value="#{msgs.searchBy}" styleClass="control-label col-sm-2" />
                            <div class="col-sm-10">
                                <h:selectOneMenu value="#{clientBackingBean.searchBy}" style="width:300px;color:#000000">
                                    <f:selectItems value="#{clientBackingBean.searchByList}" var="item" itemLabel="#{item}" itemValue="#{item}" />
                                </h:selectOneMenu>
                            </div>
                        </div>

                    </h:form>
                </div>
            </div>
        </div>

        <h:form id="Client">
            <p:growl id="formMsgs" showDetail="true"/>
            <p:dataTable value="#{clientBackingBean.usersList}" 
                         var="client"
                         paginator="true"
                         editable="true"
                         paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                         currentPageReportTemplate="{startRecord}-{endRecord} of {totalRecords} records"
                         rowsPerPageTemplate="15,30,50,100"
                         rows="15">

                <p:ajax event="rowEdit" listener="#{clientBackingBean.onRowEdit}" update=":Client:formMsgs" />
                <p:ajax event="rowEditCancel" listener="#{clientBackingBean.onRowCancel}" update=":Client:formMsgs" />

                <p:column style="width:50px">
                    <p:rowEditor />                        
                </p:column>

                <p:column colspan="2" headerText="#{msgs.firstName}">
                    <p:cellEditor>
                        <f:facet name="output"><h:outputText value="#{client.firstName}" /></f:facet>
                        <f:facet name="input"><p:inputText id="firstName" value="#{client.firstName}" style="width:100%"/></f:facet>
                    </p:cellEditor>
                </p:column>

                <p:column colspan="2" headerText="#{msgs.lastName}">
                    <p:cellEditor>
                        <f:facet name="output"><h:outputText value="#{client.lastName}" /></f:facet>
                        <f:facet name="input"><p:inputText id="lastName" value="#{client.lastName}" style="width:100%"/></f:facet>
                    </p:cellEditor>
                </p:column>

                <p:column colspan="2" headerText="#{msgs.companyName}">
                    <p:cellEditor>
                        <f:facet name="output"><h:outputText value="#{client.companyName}" /></f:facet>
                        <f:facet name="input"><p:inputText id="companyName" value="#{client.companyName}" style="width:100%"/></f:facet>
                    </p:cellEditor>
                </p:column>

                <p:column colspan="2" headerText="#{msgs.city}">
                    <p:cellEditor>
                        <f:facet name="output"><h:outputText value="#{client.city}" /></f:facet>
                        <f:facet name="input"><p:inputText id="city" value="#{client.city}" style="width:100%"/></f:facet>
                    </p:cellEditor>
                </p:column>

                <p:column headerText="#{msgs.province}">
                    <p:cellEditor>
                        <f:facet name="output"><h:outputText value="#{client.provinceName}" /></f:facet>
                        <f:facet name="input">
                            <h:selectOneMenu value="#{client.provinceName}" style="width:100%;color:#000000">
                                <f:selectItems value="#{clientBackingBean.provinceList}" var="item" itemLabel="#{item}" itemValue="#{item}" />
                            </h:selectOneMenu>
                        </f:facet>
                    </p:cellEditor>
                </p:column>

                <p:column colspan="2" headerText="#{msgs.postCode}">
                    <p:cellEditor>
                        <f:facet name="output"><h:outputText value="#{client.postalCode}" /></f:facet>
                        <f:facet name="input"><p:inputText id="postalCode" value="#{client.postalCode}" style="width:100%"/></f:facet>
                    </p:cellEditor>
                </p:column>

                <p:column colspan="2" headerText="#{msgs.homeTelephone}">
                    <p:cellEditor>
                        <f:facet name="output"><h:outputText value="#{client.homeTelephoe}" /></f:facet>
                        <f:facet name="input"><p:inputText id="homeTelephone" value="#{client.homeTelephoe}" style="width:100%"/></f:facet>
                    </p:cellEditor>
                </p:column>

                <p:column colspan="2" headerText="#{msgs.cellphone}">
                    <p:cellEditor>
                        <f:facet name="output"><h:outputText value="#{client.cellphone}" /></f:facet>
                        <f:facet name="input"><p:inputText id="cellphone" value="#{client.cellphone}" style="width:100%"/></f:facet>
                    </p:cellEditor>
                </p:column>

                <p:column colspan="3" headerText="#{msgs.email}">
                    <p:cellEditor>
                        <f:facet name="output"><h:outputText value="#{client.email}" /></f:facet>
                        <f:facet name="input"><p:inputText id="email" value="#{client.email}" style="width:100%"/></f:facet>
                    </p:cellEditor>
                </p:column>

                <p:column colspan="1" headerText="#{msgs.isManager}">
                    <p:cellEditor>
                        <f:facet name="output"><h:outputText value="#{client.isManager}" /></f:facet>
                        <f:facet name="input">
                            <h:selectOneMenu value="#{client.isManager}" style="width:100%;color:#000000">
                                <f:selectItems value="#{clientBackingBean.isManagerList}" var="item" itemLabel="#{item}" itemValue="#{item}" />
                            </h:selectOneMenu>
                        </f:facet>
                    </p:cellEditor>
                </p:column>
            </p:dataTable>
        </h:form>
    </h:body>
</html>
